.clearfix::after { display: block; content: ''; height: 0; font-size: 0; clear: both; } .clearfix { zoom: 1;}
.clear { height: 0; width: 100%; overflow: hidden; font-size: 1px; line-height: 0; visibility: hidden; }
.tswktjbox { margin-top: 20px; box-shadow: 0 0 20px #DEDEDE; border-radius: 10px; }
.tswktjbox .toptit { background: rgba(255,255,255,0.9); border-bottom: 3px solid #E4393C; border-radius: 10px 10px 0 0; padding: 6px; }
.tswktjbox .toptit .tswktjtit { float: left; display: block; font-size: 24px; font-weight: bold; line-height: 36px; padding: 0 6px; color: #2B2A3C; }
.tswktjbox .toptit .more_book { float: right; line-height: 36px; }
.tswktjbox .toptit .more_book a { float: right; display: block; padding: 0 8px; box-sizing: border-box; font-size: 16px; line-height: 36px; color: #2B2A3C; text-align: center; }
.tswktjbox .toptit .more_book a:hover { font-weight: bold; color: #FFFFFF; background: #E4393C; }
.tswktjbox ul { background: rgba(255,255,255,0.9); border-radius: 0 0 10px 10px; }
.tswktjbox ul li { float: left; display: block; width: 23%; margin: 10px 1%; border-radius: 8px; box-shadow: 0 0 10px #EEEEEE; padding: 8px; box-sizing: border-box; }
.tswktjbox ul li:hover { box-shadow: 0 0 10px #FF8888; }
.tswktjbox ul li a .imgwrap { position: relative; width: 100%; height: 0; padding-bottom: 100%; }
.tswktjbox ul li a .imgwrap img { display: block; position: absolute; top: 0; left: 0; bottom: 0; right: 0; width: 100%; height: auto; margin: auto; vertical-align: middle;  }
.tswktjbox ul li a p { margin-top: 10px; width: 100%; height: 50px; line-height: 24px; font-size: 14px; text-align: center; overflow:hidden; /* white-space: nowrap; */ text-overflow: ellipsis; }

@media only all and (max-width:1200px) {
	.tswktjbox { margin-top: .5rem; }
	.tswktjbox .toptit { border-bottom: 3px solid #E4393C; border-radius: .25rem .25rem 0 0; padding: .1rem; }
	.tswktjbox .toptit .tswktjtit {font-size: .85rem; line-height: 1.7rem; padding: 0 .2rem; }
	.tswktjbox .toptit .more_book { line-height: 1.7rem; }
	.tswktjbox .toptit .more_book a { padding: 0 .2rem; font-size: .7rem; line-height: 1.7rem; }
	.tswktjbox ul { border-radius: 0 0 .25rem .25rem; }
	.tswktjbox ul li { width: 48%; margin: .25rem 1%; box-shadow: 0 0 0.5rem #EEEEEE; padding: .2rem; }
	.tswktjbox ul li:hover { box-shadow: 0 0 .25rem #FF8888; }
	.tswktjbox ul li a p { margin-top: .25rem; height: 2rem; line-height: 1rem; font-size: .65rem; }
}